Bug 1639952 - Red Hat Subscriptions: SKU column does not truncate or wrap
Summary: Red Hat Subscriptions: SKU column does not truncate or wrap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-17 02:17 UTC by Paul Armstrong
Modified: 2020-04-14 13:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen shot as requested by Brad (96.01 KB, image/png)
2018-10-29 01:38 UTC, Paul Armstrong
no flags Details
Verification screen capture (432.37 KB, video/webm)
2019-11-21 15:56 UTC, Cole Higgins
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27202 Normal Closed Support API/UI for ansible collection content across an organization 2020-02-05 08:24:19 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:40 UTC

Description Paul Armstrong 2018-10-17 02:17:38 UTC
Description of problem:On the Red Hat Subscriptions page for the SKU column, the content does not truncate or wrap when presented values like:

14999985419971370441687

This is for Fedora repo

Version-Release number of selected component (if applicable):
6.4.0

How reproducible:
Always

Steps to Reproduce:
1. Upgrade 6.3.11 Satellite with Fedora Product created. 
2.
3.

Actual results:
Trivial

Expected results:
Trivial

Additional info:
Just logging that this occurs. #BottomOfList

Comment 2 Brad Buckingham 2018-10-26 21:09:34 UTC
Hi Paul,

Mind attaching a screenshot of what you see?  Thanks!

I checked my environment and all of the SKUs are much shorter, so it isn't showing the same behavior.

Comment 3 Paul Armstrong 2018-10-29 01:36:51 UTC
Sure Brad. Attached now. This is typically with custom products and not our own. Fedora in this example shows a long string for SKU that does not truncate or wrap. If you are on a huge screen, you would never notice it either. I am running at 1600x900 with this screenshot.

Cheers,

PA

Comment 4 Paul Armstrong 2018-10-29 01:38:07 UTC
Created attachment 1498394 [details]
Screen shot as requested by Brad

Comment 5 Bryan Kearney 2019-11-04 14:34:28 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 8 Cole Higgins 2019-11-21 15:55:24 UTC
Verified in 6.7 snap 2. 

Values in the SKU column are properly truncated when sizing down the screen size. Both Short and long values truncate.

Comment 9 Cole Higgins 2019-11-21 15:56:34 UTC
Created attachment 1638518 [details]
Verification screen capture

Comment 12 errata-xmlrpc 2020-04-14 13:23:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.